summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/a/sysvinit-scripts/scripts/rc.S7
-rwxr-xr-xsource/a/sysvinit-scripts/sysvinit-scripts.SlackBuild2
-rw-r--r--source/l/libxslt/0001-runtest-Print-output-causing-failure.patch33
-rw-r--r--source/l/libxslt/0002-tests-Fix-tests-for-libxml2-fix.patch19
-rwxr-xr-xsource/l/libxslt/libxslt.SlackBuild11
-rw-r--r--source/n/ca-certificates/certdata-20240615.txt (renamed from source/n/ca-certificates/certdata-20240604.txt)3
6 files changed, 66 insertions, 9 deletions
diff --git a/source/a/sysvinit-scripts/scripts/rc.S b/source/a/sysvinit-scripts/scripts/rc.S
index a4cfb4691..2e44be8be 100644
--- a/source/a/sysvinit-scripts/scripts/rc.S
+++ b/source/a/sysvinit-scripts/scripts/rc.S
@@ -220,8 +220,13 @@ if [ -z "$container" ]; then
# If we're using F2FS for the root filesystem, don't check it as it doesn't
# allow checking a read-only filesystem:
if grep -q ' / f2fs ' /proc/mounts ; then
- echo "Remounting root device with read-write enabled."
+ echo "Remounting f2fs root device with read-write enabled."
/sbin/mount -w -v -o remount /
+ # If we're using bcachefs for the root filesystem(s), remount read-write
+ # and let bcachefs do its own fsck:
+ elif grep -q ' / bcachefs ' /proc/mounts ; then
+ echo "Remounting bcachefs root device(s) with read-write enabled."
+ /sbin/mount -o remount,rw,fsck /
elif [ ! $READWRITE = yes ]; then
# Check the root filesystem:
RETVAL=0
diff --git a/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild b/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild
index 3c878d4f5..85c6fed9c 100755
--- a/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild
+++ b/source/a/sysvinit-scripts/sysvinit-scripts.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sysvinit-scripts
VERSION=${VERSION:-15.1}
ARCH=noarch
-BUILD=${BUILD:-18}
+BUILD=${BUILD:-19}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
diff --git a/source/l/libxslt/0001-runtest-Print-output-causing-failure.patch b/source/l/libxslt/0001-runtest-Print-output-causing-failure.patch
new file mode 100644
index 000000000..1fd87b732
--- /dev/null
+++ b/source/l/libxslt/0001-runtest-Print-output-causing-failure.patch
@@ -0,0 +1,33 @@
+From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <heftig@archlinux.org>
+Date: Sat, 15 Jun 2024 00:22:58 +0200
+Subject: [PATCH] runtest: Print output causing failure
+
+---
+ tests/runtest.c | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/tests/runtest.c b/tests/runtest.c
+index 56eb31f1dc8c..fea4bd3c61f4 100644
+--- a/tests/runtest.c
++++ b/tests/runtest.c
+@@ -668,17 +668,17 @@ xsltTest(const char *filename, int options) {
+ res = compareFileMem(outFilename, (char *) out, outSize);
+ if (res != 0) {
+ fprintf(stderr, "Result for %s failed\n", filename);
+- /* printf("####\n%s####\n", out); */
++ printf("####\n%s####\n", out);
+ ret = -1;
+ }
+ free(outFilename);
+ xmlFree(out);
+
+ errFilename = changeSuffix(filename, errSuffix);
+ res = compareFileMem(errFilename, testErrors, testErrorsSize);
+ if (res != 0) {
+ fprintf(stderr, "Error for %s failed\n", filename);
+- /* printf("####\n%s####\n", testErrors); */
++ printf("####\n%s####\n", testErrors);
+ ret = -1;
+ }
+ free(errFilename);
diff --git a/source/l/libxslt/0002-tests-Fix-tests-for-libxml2-fix.patch b/source/l/libxslt/0002-tests-Fix-tests-for-libxml2-fix.patch
new file mode 100644
index 000000000..6df3a2ee1
--- /dev/null
+++ b/source/l/libxslt/0002-tests-Fix-tests-for-libxml2-fix.patch
@@ -0,0 +1,19 @@
+From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <heftig@archlinux.org>
+Date: Sat, 15 Jun 2024 00:23:04 +0200
+Subject: [PATCH] tests: Fix tests for libxml2 fix
+
+See: https://gitlab.gnome.org/GNOME/libxml2/-/commit/aa90cb0c578bd189089cd1fe195faf85040ac98b
+---
+ tests/documents/test_bad.err | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/tests/documents/test_bad.err b/tests/documents/test_bad.err
+index 91e5f4c79381..e6dd598716a1 100644
+--- a/tests/documents/test_bad.err
++++ b/tests/documents/test_bad.err
+@@ -1,2 +1,2 @@
+-I/O error : failed to load "foofile.xml": No such file or directory
+-I/O error : failed to load "foo_file.xml": No such file or directory
++I/O warning : failed to load "foofile.xml": No such file or directory
++I/O warning : failed to load "foo_file.xml": No such file or directory
diff --git a/source/l/libxslt/libxslt.SlackBuild b/source/l/libxslt/libxslt.SlackBuild
index 2e735ac94..e9463fbe8 100755
--- a/source/l/libxslt/libxslt.SlackBuild
+++ b/source/l/libxslt/libxslt.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2012, 2013, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2012, 2013, 2016, 2017, 2018, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libxslt
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -73,9 +73,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# This header isn't shipped in glibc >= 2.26 anymore. See:
-# https://sourceware.org/glibc/wiki/Release/2.26#Removal_of_.27xlocale.h.27
-sed -i '/#include <xlocale.h>/d' libxslt/xsltlocale.h
+# Upstream patches:
+cat $CWD/0001-runtest-Print-output-causing-failure.patch | patch -p1 --verbose || exit 1
+cat $CWD/0002-tests-Fix-tests-for-libxml2-fix.patch | patch -p1 --verbose || exit 1
# Be a bit more generous with xsltMaxDepth to avoid false positive
# on infinite recursion:
@@ -144,4 +144,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/libxslt-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/n/ca-certificates/certdata-20240604.txt b/source/n/ca-certificates/certdata-20240615.txt
index 9902a0169..ea914d409 100644
--- a/source/n/ca-certificates/certdata-20240604.txt
+++ b/source/n/ca-certificates/certdata-20240615.txt
@@ -25481,4 +25481,5 @@ END
CKA_TRUST_SERVER_AUTH CK_TRUST CKT_NSS_TRUSTED_DELEGATOR
CKA_TRUST_EMAIL_PROTECTION CK_TRUST CKT_NSS_MUST_VERIFY_TRUST
CKA_TRUST_CODE_SIGNING CK_TRUST CKT_NSS_MUST_VERIFY_TRUST
-CKA_TRUST_STEP_UP_APPROVED CK_BBOOL CK_FALSE \ No newline at end of file
+CKA_TRUST_STEP_UP_APPROVED CK_BBOOL CK_FALSE
+